"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var DataSyncClient_1 = require("./DataSyncClient");
var CancelTaskExecutionCommand_1 = require("./commands/CancelTaskExecutionCommand");
var CreateAgentCommand_1 = require("./commands/CreateAgentCommand");
var CreateLocationEfsCommand_1 = require("./commands/CreateLocationEfsCommand");
var CreateLocationNfsCommand_1 = require("./commands/CreateLocationNfsCommand");
var CreateLocationS3Command_1 = require("./commands/CreateLocationS3Command");
var CreateTaskCommand_1 = require("./commands/CreateTaskCommand");
var DeleteAgentCommand_1 = require("./commands/DeleteAgentCommand");
var DeleteLocationCommand_1 = require("./commands/DeleteLocationCommand");
var DeleteTaskCommand_1 = require("./commands/DeleteTaskCommand");
var DescribeAgentCommand_1 = require("./commands/DescribeAgentCommand");
var DescribeLocationEfsCommand_1 = require("./commands/DescribeLocationEfsCommand");
var DescribeLocationNfsCommand_1 = require("./commands/DescribeLocationNfsCommand");
var DescribeLocationS3Command_1 = require("./commands/DescribeLocationS3Command");
var DescribeTaskCommand_1 = require("./commands/DescribeTaskCommand");
var DescribeTaskExecutionCommand_1 = require("./commands/DescribeTaskExecutionCommand");
var ListAgentsCommand_1 = require("./commands/ListAgentsCommand");
var ListLocationsCommand_1 = require("./commands/ListLocationsCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var ListTaskExecutionsCommand_1 = require("./commands/ListTaskExecutionsCommand");
var ListTasksCommand_1 = require("./commands/ListTasksCommand");
var StartTaskExecutionCommand_1 = require("./commands/StartTaskExecutionCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdateAgentCommand_1 = require("./commands/UpdateAgentCommand");
var UpdateTaskCommand_1 = require("./commands/UpdateTaskCommand");
var DataSync = /** @class */ (function (_super) {
    tslib_1.__extends(DataSync, _super);
    function DataSync() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    DataSync.prototype.cancelTaskExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CancelTaskExecutionCommand_1.CancelTaskExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.createAgent = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateAgentCommand_1.CreateAgentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.createLocationEfs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateLocationEfsCommand_1.CreateLocationEfsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.createLocationNfs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateLocationNfsCommand_1.CreateLocationNfsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.createLocationS3 = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateLocationS3Command_1.CreateLocationS3Command(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.createTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateTaskCommand_1.CreateTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.deleteAgent = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteAgentCommand_1.DeleteAgentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.deleteLocation = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteLocationCommand_1.DeleteLocationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.deleteTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteTaskCommand_1.DeleteTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.describeAgent = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeAgentCommand_1.DescribeAgentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.describeLocationEfs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeLocationEfsCommand_1.DescribeLocationEfsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.describeLocationNfs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeLocationNfsCommand_1.DescribeLocationNfsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.describeLocationS3 = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeLocationS3Command_1.DescribeLocationS3Command(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.describeTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeTaskCommand_1.DescribeTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.describeTaskExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeTaskExecutionCommand_1.DescribeTaskExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.listAgents = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListAgentsCommand_1.ListAgentsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.listLocations = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListLocationsCommand_1.ListLocationsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.listTaskExecutions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTaskExecutionsCommand_1.ListTaskExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.listTasks = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTasksCommand_1.ListTasksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.startTaskExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartTaskExecutionCommand_1.StartTaskExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.updateAgent = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateAgentCommand_1.UpdateAgentCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    DataSync.prototype.updateTask = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateTaskCommand_1.UpdateTaskCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return DataSync;
}(DataSyncClient_1.DataSyncClient));
exports.DataSync = DataSync;
//# sourceMappingURL=DataSync.js.map