"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CancelTaskExecution_1 = require("../model/operations/CancelTaskExecution");
var CancelTaskExecutionCommand = /** @class */ (function () {
    function CancelTaskExecutionCommand(input) {
        this.input = input;
        this.model = CancelTaskExecution_1.CancelTaskExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CancelTaskExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CancelTaskExecutionCommand;
}());
exports.CancelTaskExecutionCommand = CancelTaskExecutionCommand;
//# sourceMappingURL=CancelTaskExecutionCommand.js.map