"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateAgent_1 = require("../model/operations/CreateAgent");
var CreateAgentCommand = /** @class */ (function () {
    function CreateAgentCommand(input) {
        this.input = input;
        this.model = CreateAgent_1.CreateAgent;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateAgentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateAgentCommand;
}());
exports.CreateAgentCommand = CreateAgentCommand;
//# sourceMappingURL=CreateAgentCommand.js.map