"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateLocationS3_1 = require("../model/operations/CreateLocationS3");
var CreateLocationS3Command = /** @class */ (function () {
    function CreateLocationS3Command(input) {
        this.input = input;
        this.model = CreateLocationS3_1.CreateLocationS3;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateLocationS3Command.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateLocationS3Command;
}());
exports.CreateLocationS3Command = CreateLocationS3Command;
//# sourceMappingURL=CreateLocationS3Command.js.map