/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateTaskInput } from "../types/CreateTaskInput";
import { CreateTaskOutput } from "../types/CreateTaskOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/CreateTaskInput";
export * from "../types/CreateTaskOutput";
export * from "../types/CreateTaskExceptionsUnion";
export declare class CreateTaskCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateTaskInput, OutputTypesUnion, CreateTaskOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: CreateTaskInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateTaskInput, CreateTaskOutput, _stream.Readable>;
    constructor(input: CreateTaskInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<CreateTaskInput, CreateTaskOutput>;
}
