"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateTask_1 = require("../model/operations/CreateTask");
var CreateTaskCommand = /** @class */ (function () {
    function CreateTaskCommand(input) {
        this.input = input;
        this.model = CreateTask_1.CreateTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateTaskCommand;
}());
exports.CreateTaskCommand = CreateTaskCommand;
//# sourceMappingURL=CreateTaskCommand.js.map