"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteAgent_1 = require("../model/operations/DeleteAgent");
var DeleteAgentCommand = /** @class */ (function () {
    function DeleteAgentCommand(input) {
        this.input = input;
        this.model = DeleteAgent_1.DeleteAgent;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteAgentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteAgentCommand;
}());
exports.DeleteAgentCommand = DeleteAgentCommand;
//# sourceMappingURL=DeleteAgentCommand.js.map