"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteLocation_1 = require("../model/operations/DeleteLocation");
var DeleteLocationCommand = /** @class */ (function () {
    function DeleteLocationCommand(input) {
        this.input = input;
        this.model = DeleteLocation_1.DeleteLocation;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteLocationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteLocationCommand;
}());
exports.DeleteLocationCommand = DeleteLocationCommand;
//# sourceMappingURL=DeleteLocationCommand.js.map