"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteTask_1 = require("../model/operations/DeleteTask");
var DeleteTaskCommand = /** @class */ (function () {
    function DeleteTaskCommand(input) {
        this.input = input;
        this.model = DeleteTask_1.DeleteTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteTaskCommand;
}());
exports.DeleteTaskCommand = DeleteTaskCommand;
//# sourceMappingURL=DeleteTaskCommand.js.map