"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeAgent_1 = require("../model/operations/DescribeAgent");
var DescribeAgentCommand = /** @class */ (function () {
    function DescribeAgentCommand(input) {
        this.input = input;
        this.model = DescribeAgent_1.DescribeAgent;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeAgentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeAgentCommand;
}());
exports.DescribeAgentCommand = DescribeAgentCommand;
//# sourceMappingURL=DescribeAgentCommand.js.map