"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeLocationS3_1 = require("../model/operations/DescribeLocationS3");
var DescribeLocationS3Command = /** @class */ (function () {
    function DescribeLocationS3Command(input) {
        this.input = input;
        this.model = DescribeLocationS3_1.DescribeLocationS3;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeLocationS3Command.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeLocationS3Command;
}());
exports.DescribeLocationS3Command = DescribeLocationS3Command;
//# sourceMappingURL=DescribeLocationS3Command.js.map