"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeTaskExecution_1 = require("../model/operations/DescribeTaskExecution");
var DescribeTaskExecutionCommand = /** @class */ (function () {
    function DescribeTaskExecutionCommand(input) {
        this.input = input;
        this.model = DescribeTaskExecution_1.DescribeTaskExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeTaskExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeTaskExecutionCommand;
}());
exports.DescribeTaskExecutionCommand = DescribeTaskExecutionCommand;
//# sourceMappingURL=DescribeTaskExecutionCommand.js.map