"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListAgents_1 = require("../model/operations/ListAgents");
var ListAgentsCommand = /** @class */ (function () {
    function ListAgentsCommand(input) {
        this.input = input;
        this.model = ListAgents_1.ListAgents;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListAgentsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListAgentsCommand;
}());
exports.ListAgentsCommand = ListAgentsCommand;
//# sourceMappingURL=ListAgentsCommand.js.map