"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTaskExecutions_1 = require("../model/operations/ListTaskExecutions");
var ListTaskExecutionsCommand = /** @class */ (function () {
    function ListTaskExecutionsCommand(input) {
        this.input = input;
        this.model = ListTaskExecutions_1.ListTaskExecutions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTaskExecutionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTaskExecutionsCommand;
}());
exports.ListTaskExecutionsCommand = ListTaskExecutionsCommand;
//# sourceMappingURL=ListTaskExecutionsCommand.js.map