"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListTasks_1 = require("../model/operations/ListTasks");
var ListTasksCommand = /** @class */ (function () {
    function ListTasksCommand(input) {
        this.input = input;
        this.model = ListTasks_1.ListTasks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListTasksCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListTasksCommand;
}());
exports.ListTasksCommand = ListTasksCommand;
//# sourceMappingURL=ListTasksCommand.js.map