"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var StartTaskExecution_1 = require("../model/operations/StartTaskExecution");
var StartTaskExecutionCommand = /** @class */ (function () {
    function StartTaskExecutionCommand(input) {
        this.input = input;
        this.model = StartTaskExecution_1.StartTaskExecution;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    StartTaskExecutionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return StartTaskExecutionCommand;
}());
exports.StartTaskExecutionCommand = StartTaskExecutionCommand;
//# sourceMappingURL=StartTaskExecutionCommand.js.map