/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TagResourceInput } from "../types/TagResourceInput";
import { TagResourceOutput } from "../types/TagResourceOutput";
import { DataSyncResolvedConfiguration } from "../DataSyncConfiguration";
export * from "../types/TagResourceInput";
export * from "../types/TagResourceOutput";
export * from "../types/TagResourceExceptionsUnion";
export declare class TagResourceCommand implements __aws_sdk_types.Command<InputTypesUnion, TagResourceInput, OutputTypesUnion, TagResourceOutput, DataSyncResolvedConfiguration, _stream.Readable> {
    readonly input: TagResourceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TagResourceInput, TagResourceOutput, _stream.Readable>;
    constructor(input: TagResourceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: DataSyncResolvedConfiguration): __aws_sdk_types.Handler<TagResourceInput, TagResourceOutput>;
}
