"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateAgent_1 = require("../model/operations/UpdateAgent");
var UpdateAgentCommand = /** @class */ (function () {
    function UpdateAgentCommand(input) {
        this.input = input;
        this.model = UpdateAgent_1.UpdateAgent;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateAgentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateAgentCommand;
}());
exports.UpdateAgentCommand = UpdateAgentCommand;
//# sourceMappingURL=UpdateAgentCommand.js.map