"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateTask_1 = require("../model/operations/UpdateTask");
var UpdateTaskCommand = /** @class */ (function () {
    function UpdateTaskCommand(input) {
        this.input = input;
        this.model = UpdateTask_1.UpdateTask;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateTaskCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateTaskCommand;
}());
exports.UpdateTaskCommand = UpdateTaskCommand;
//# sourceMappingURL=UpdateTaskCommand.js.map